> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of locations > Locations are searched from top to bottom, starting with the start location. Locations are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/Locations { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Locations": { "get": { "tags": [ "Locations" ], "summary": "Get a list of locations", "description": "Locations are searched from top to bottom, starting with the start location.\r\nLocations are implicitly filtered by the user's `read` permission.", "operationId": "Locations_GetList", "parameters": [ { "name": "categoryId", "in": "query", "description": "Unique ID of the category", "schema": { "type": "array", "items": { "type": "integer", "format": "int32" } } }, { "name": "depth", "in": "query", "description": "Depth of the search", "schema": { "type": "integer", "format": "int32" } }, { "name": "hasPlayer", "in": "query", "description": "If `true`, the returned locations must have at least one player.\r\nIf the parameter is not specified (default), the locations are returned regardless of whether the location has a player or not.", "schema": { "type": "boolean" } }, { "name": "includeAdditionalData", "in": "query", "description": "If `true`, the returned locations should include the additional data.\r\nDefault: `false`.", "schema": { "type": "boolean" } }, { "name": "includePermissions", "in": "query", "description": "If `true`, the property `Permissions` is populated with the location's permissions.\r\nDefault: `true`.", "schema": { "type": "boolean" } }, { "name": "isLeaf", "in": "query", "description": "If `true`, the returned locations don't have any child location.\r\nIf the parameter is not specified (default), the locations are returned regardless of whether the location has any child location or not.", "schema": { "type": "boolean" } }, { "name": "name", "in": "query", "description": "Name of the location", "schema": { "type": "string" } }, { "name": "startId", "in": "query", "description": "Unique ID of the start location", "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Returns the list of locations.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.Location" } } } } }, "400": { "description": "Bad request if parameters are invalid.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.Location": { "required": [ "Name" ], "type": "object", "properties": { "AdditionalData": { "type": "object", "additionalProperties": { "type": "string" }, "description": "List of additional data of the location" }, "Address": { "type": "string", "description": "Address of the location" }, "CategoryIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of category IDs of the location" }, "City": { "type": "string", "description": "City of the location" }, "Country": { "type": "string", "description": "Country of the location" }, "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "Email": { "type": "string", "description": "Email address of the location" }, "Fax": { "type": "string", "description": "Fax number of the location" }, "HolidayListIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of holiday list IDs of the location" }, "Id": { "type": "integer", "description": "Unique ID of the location", "format": "int32", "readOnly": true }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the location" }, "ParentId": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Unique ID of the parent location", "format": "int32" }, "Permissions": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" }, "ReceiveMessage": { "type": "boolean" } }, "description": "Permissions.", "readOnly": true }, "PhoneNumber": { "type": "string", "description": "Phone number of the location" }, "ZipCode": { "type": "string", "description": "ZIP code of the location" } }, "description": "Location" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````